Bug 1273298 - It does not contain oc binary for MacOS/Windows in AtomicOpenShift 3.1 repo
It does not contain oc binary for MacOS/Windows in AtomicOpenShift 3.1 repo
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Scott Dodson
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 03:31 EDT by chunchen
Modified: 2016-09-29 22:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2015-10-20 03:31:17 EDT
Description of problem:
It does not contain oc binary for MacOS/Windows in AtomicOpenShift 3.1 repo

Version-Release number of selected component (if applicable):
http://buildvm-devops.usersys.redhat.com/puddle/build/AtomicOpenShift/3.1/latest/RH7-RHAOS-3.1/x86_64/os/Packages/

How reproducible:
always

Steps to Reproduce:
1. Download atomic-openshift-3.0.2.901-0.git.61.568adb6.el7aos.x86_64.rpm or
atomic-openshift-clients-3.0.2.901-0.git.61.568adb6.el7aos.x86_64.rpm from http://buildvm-devops.usersys.redhat.com/puddle/build/AtomicOpenShift/3.1/latest/RH7-RHAOS-3.1/x86_64/os/Packages/

2. Decompress above rpm packages
$ rpm2cpio atomic-openshift-clients-3.0.2.901-0.git.61.568adb6.el7aos.x86_64.rpm | cpio -div

Or

$ rpm2cpio atomic-openshift-3.0.2.901-0.git.61.568adb6.el7aos.x86_64.rpm | cpio -vid


Actual results:
It does not contain oc binary for MacOS/Windows in related rpm package.

Expected results:
Should contain oc binary for MacOS/Windows in AtomicOpenShift 3.1 repo

Additional info:
Comment 2 Brenton Leanhardt 2015-10-20 13:04:58 EDT
We'll need to make sure there is a channel mapping for atomic-openshift-clients-redistributable.  Scott's working with RCM to have the advisory created properly so I'll pass this to him.
Comment 5 chunchen 2015-10-28 04:35:34 EDT
Checked this issue against the latest env, the cross platform clients do not have been installed into /usr/share/, please refer to the below information:

[root@openshift-143 share]# oc version
oc v3.0.2.903-74-gf49cee6
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

[root@openshift-143 share]# rpm -qa|grep atomic-openshift-clients
atomic-openshift-clients-3.0.2.903-0.git.73.16a78c7.el7aos.x86_64

[root@openshift-143 share]# find / -name "oc*"
/etc/bash_completion.d/oc
/usr/bin/oc
/usr/lib/modules/3.10.0-324.el7.x86_64/kernel/drivers/infiniband/hw/ocrdma
/usr/lib/modules/3.10.0-324.el7.x86_64/kernel/drivers/infiniband/hw/ocrdma/ocrdma.ko
/usr/lib64/nss/unsupported-tools/ocspclnt
/usr/share/locale/oc
/usr/share/man/man1/ocsp.1ssl.gz
/usr/share/i18n/locales/oc_FR
/usr/share/mime/application/octet-stream.xml
/usr/share/vim/vim74/compiler/ocaml.vim
/usr/share/vim/vim74/ftplugin/ocaml.vim
/usr/share/vim/vim74/ftplugin/occam.vim
/usr/share/vim/vim74/indent/ocaml.vim
/usr/share/vim/vim74/indent/occam.vim
/usr/share/vim/vim74/syntax/ocaml.vim
/usr/share/vim/vim74/syntax/occam.vim
Comment 6 Brenton Leanhardt 2015-10-28 08:37:31 EDT
The package is now called atomic-openshift-clients-redistributable.  I noticed it was not added to the puddle whitelist so I just did it and created the new puddle.
Comment 8 chunchen 2015-10-28 21:43:22 EDT
Checked the latest rpm package, it includes related oc binary for now, so mark it as verified. 

Please refer to the below messages:

[chunchen@F17-CCY Downloads]$ rpm2cpio atomic-openshift-clients-redistributable-3.0.2.903-0.git.114.2849767.el7aos.x86_64.rpm | cpio -div

./usr/share/atomic-openshift/linux/oc
./usr/share/atomic-openshift/macosx/oc
./usr/share/atomic-openshift/windows/oc.exe
221401 blocks

Note You need to log in before you can comment on or make changes to this bug.